Get a parser
import requests
url = "https://{FUSION HOST}/async-parsing/parsers/{id}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/async-parsing/parsers/{id}")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/async-parsing/parsers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parsers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parsers/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parsers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{FUSION HOST}/async-parsing/parsers/{id}{
"id": "solr-update-parser",
"enableMediaTypeDetection": true,
"detectMediaTypeBasedOnExtension": true,
"maxParserDepth": 16,
"maxFieldLength": -1,
"parserStages": [
{
"type": "solr-update",
"enabled": true,
"mediaTypes": [],
"pathPatterns": [],
"errorHandling": "mark",
"id": "0a61cc5c-aa0c-4e1a-8099-2c5d30d64996",
"enableXml": true,
"enableJson": true,
"enableCsv": true,
"inheritMediaTypes": true,
"ignoredMediaTypes": [],
"outputFieldPrefix": ""
}
]
}Get a parser
Fetch the parser configuration as JSON by unique ID.
GET
/
async-parsing
/
parsers
/
{id}
Get a parser
import requests
url = "https://{FUSION HOST}/async-parsing/parsers/{id}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/async-parsing/parsers/{id}")
.asString();const options = {method: 'GET'};
fetch('https://{FUSION HOST}/async-parsing/parsers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/async-parsing/parsers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/async-parsing/parsers/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/async-parsing/parsers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Path Parameters
The ID of the parser to fetch.
Query Parameters
Validates which app the entity should be part of by specifying, for example, app:SomeApp. If the entity is not part of the app, this request fails. Any other comma-separated contexts in the context parameter are allowed but ignored.
Was this page helpful?
⌘I